ReferenceModels and usage
Every model provider, without its key (platform admins and auditors)
GET
Platform providers and teams' own (team names the owner; null for a platform provider), or one owner's.
owner?stringall (default), platform, or a team's slug or ID: whose providers
Providers
application/json- response
data*array<>curl -X GET 'https://agents.example.com/v1/admin/model-providers'{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "kind": "openai", "baseUrl": "string", "accessMode": "proxy", "enabled": true, "hasHeaders": true, "modelCount": 0, "revision": 0, "team": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "slug": "string", "name": "string", "kind": "team" }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ]}